FREE(1)

BEZEICHNUNG
free - Anzeige des freien und belegten Speichers

ÜBERSICHT
free [Optionen]

BESCHREIBUNG
free zeigt den gesamten freien und genutzten physischen Speicher und Auslagerungsspeicher im System sowie die vom Kernel verwendeten Puffer und Zwischenspeicher an. Die Informationen werden durch Auslesen von /proc/meminfo ermittelt. Folgende Spalten werden angezeigt:

total
    zeigt den insgesamt installierten Speicher an (MemTotal and SwapTotal in /proc/meminfo).

used
    Benutzer Speicher (errechnet durch Gesamtspeicher minus freier Speicher minus Puffer minus Cache)

free
    Ungenutzter Speicher (MemFree and SwapFree in /proc/meminfo)

shared
    Von tmpfs (meist) genutzter Speicher (Shmem in /proc/meminfo, verfügbar ab Kernel 2.6.32, als 0 angezeigt, wenn nicht verfügbar)

buffers
    Von den Kernel-Puffern genutzter Speicher (Puffer in /proc/meminfo)

Cache
    Vom Page-Cache und Slabs genutzter Speicher (Cached und Slab in /proc/meminfo)

Puffer/Cache
    Summe von Puffer und Cache

verfügbar
    Schätzung des zum Starten neuer Anwendungen verfügbaren Speichers, ohne den Auslagerungsspeicher zu nutzen. Im Gegensatz zu den in den Feldern Cache oder Frei angezeigten Daten bezieht dieses Feld den Page-Cache mit ein, und beachtet außerdem, dass nicht alle beanspruchbaren Speicher-Slabs durch in Verwendung befindliche Objekte auch wirklich beansprucht werden. (MemAvailable in /proc/meminfo, verfügbar ab Kernel 3.14, emuliert in Kernel 2.6.27 und neuer, anderenfalls gleichbedeutend mit Frei)

OPTIONEN

-b, --bytes
    Zeigt die Speichergröße in Byte an.

-k, --kilo
    Display the amount of memory in kilobytes. This is the default.

-m, --mega
    Display the amount of memory in megabytes.

-g, --giga
    Display the amount of memory in gigabytes.

--tera
    Display the amount of memory in terabytes.

-h, --human
    Alle angezeigten Felder werden automatisch auf die kleinste Einheit mit drei Ziffern skaliert. Die Einheiten werden in der Ausgabe angezeigt. Es werden die folgenden Einheiten verwendet.

      B = bytes
      K = kilos
      M = megas
      G = gigas
      T = teras

    If unit is missing, and you have petabyte of RAM or swap, the number is in terabytes and columns might not be aligned with header.

-w, --wide
    wechselt in den breiten Modus. In diesem Modus können Zeilen dargestellt werden, die länger als 80 Zeichen sind. Puffer und Cache werden dann in zwei separaten Spalten dargestellt.

-c, --count Anzahl
    Zeigt das Ergebnis Anzahl mal an. Erfordert die Option -s.

-l, --lohi
    Zeigt detailliert die Belegung von »low memory« und »high memory« an.

-s, --seconds Sekunden
    Fortlaufende Aktualisierung der Anzeige im Intervall von Sekunden. Sie können für Sekunden eine beliebige Gleitkommazahl angeben. Durch die Nutzung von usleep(3) können die Intervalle bis auf die Mikrosekunde genau festgelegt werden.

--si
    Use power of 1000 not 1024.

-t, --total
    Zeigt eine Zeile mit den Spaltensummen an.

--help
    Hilfe ausgeben.

-V, --version
    Versionsinformationen anzeigen.

DATEIEN

/proc/meminfo
    Speicherinformationen

SIEHE AUCH
ps(1), slabtop(1), top(1), vmstat(8).

AUTOREN
Geschrieben von Brian Edmonds.

FEHLER BERICHTEN
Bitte schicken Sie Fehlerberichte an procps@freelists.org

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, Dr. Tobias Quathamer <toddy@debian.org>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.